import 'package:flutter/material.dart';

class NotSelectedText extends StatefulWidget {
  final String text;

  NotSelectedText({required this.text});

  @override
  _NotSelectedTextState createState() => _NotSelectedTextState();
}

class _NotSelectedTextState extends State<NotSelectedText> {
  @override
  Widget build(BuildContext context) {
    MediaQueryData queryData = MediaQuery.of(context);
    double sw = queryData.size.width;

    return Center(
        child: Text(widget.text,
            style: TextStyle(
                color: Theme.of(context).primaryColor,
                fontWeight: FontWeight.bold,
                fontSize: sw * 0.05)));
  }
}
