import 'package:flutter/material.dart';

class SearchTextField extends StatefulWidget {
  final TextEditingController controller;

  SearchTextField({required this.controller});

  @override
  _SearchTextFieldState createState() => _SearchTextFieldState();
}

class _SearchTextFieldState extends State<SearchTextField> {
  @override
  Widget build(BuildContext context) {
    MediaQueryData queryData = MediaQuery.of(context);
    double sh = queryData.size.height;

    return TextField(
      controller: widget.controller,
      style: TextStyle(color: Color(0XFFBEBEBE), fontSize: sh * 0.018),
      decoration: InputDecoration(
          prefixIcon:
              Icon(Icons.search, color: Color(0XFFB4B4B4), size: sh * 0.023),
          enabledBorder: UnderlineInputBorder(
            borderSide: BorderSide(color: Color(0XFFB4B4B4)),
          ),
          focusedBorder: UnderlineInputBorder(
            borderSide: BorderSide(color: Color(0XFFB4B4B4)),
          ),
          border: UnderlineInputBorder(
            borderSide: BorderSide(color: Color(0XFFB4B4B4)),
          ),
          hintText: 'Search',
          hintStyle: TextStyle(
            color: Color(0XFFB4B4B4),
          )),
    );
  }
}
