import 'package:flutter/material.dart';

class CustomCheckbox extends StatefulWidget {
  final bool checked;
  final String title;
  final Function(String value, bool? newValue) onChanged;
  final String value;

  CustomCheckbox(
      {required this.checked,
      required this.title,
      required this.onChanged,
      required this.value});

  @override
  _CustomCheckboxState createState() => _CustomCheckboxState();
}

class _CustomCheckboxState extends State<CustomCheckbox> {
  @override
  Widget build(BuildContext context) {
    return Container(
      width: 250,
      child: CheckboxListTile(
          title: Text(widget.title, style: TextStyle(color: Colors.white)),
          value: widget.checked,
          onChanged: (newValue) {
            widget.onChanged(widget.value, newValue);
          },
          controlAffinity: ListTileControlAffinity.leading),
    );
  }
}
