import 'package:flutter/material.dart';

class CustomRadio extends StatefulWidget {
  final String title;
  final Function onChanged;
  final String value;
  final String groupValue;

  CustomRadio(
      {required this.title,
      required this.onChanged,
      required this.value,
      required this.groupValue});

  @override
  _CustomRadioState createState() => _CustomRadioState();
}

class _CustomRadioState extends State<CustomRadio> {
  @override
  Widget build(BuildContext context) {
    return Container(
      width: 200,
      child: RadioListTile(
          title: Text(widget.title, style: TextStyle(color: Colors.white)),
          value: widget.value,
          groupValue: widget.groupValue,
          onChanged: (newValue) => widget.onChanged(newValue),
          controlAffinity: ListTileControlAffinity.leading),
    );
  }
}
